using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioUCFaturamento
    {
        public void Insert(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Insert(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_1(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_2(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_2(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_3(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_3(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_4(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_4(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_5(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_5(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_6(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_6(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_7(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_7(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_8(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_8(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_9(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Update_9(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Delete(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete_1(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dalUCFaturamento.Delete_1(objUCFaturamento);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_1(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_1(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_2(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_2(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_3(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_3(objUCFaturamento);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_4(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_4(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_5(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_5(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_6(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_6(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_7(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_7(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_8(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_8(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_9(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_9(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_10(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_10(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_11(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_11(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_12(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_12(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_13(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_13(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_14(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_14(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_15(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_15(objUCFaturamento);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_16(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_16(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_17(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_17(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_18(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_18(objUCFaturamento);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_19(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_19(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_20(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_20(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_21(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_21(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_22(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_22(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_23(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_23(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_24(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_24(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> Select_25(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_25(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }
        public IList<entidadeUCFaturamento> Select_EnviaAPP(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.Select_EnviaAPP(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_1(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_1(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_2(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_2(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_3(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();
            DataTable dt = null;
            string grupoUnida = null;

            try
            {
                grupoUnida = objUCFaturamento.GRUPO;

                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectOthersTables_3(objUCFaturamento);

                foreach (DataRow dr in dt.Rows)
                {
                    objUCFaturamento = new entidadeUCFaturamento();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objUCFaturamento.ID = Convert.ToInt64(dr["ID"]);

                    if (!Convert.IsDBNull(dr["UNID_ID"]))
                        objUCFaturamento.UNID_ID = Convert.ToInt32(dr["UNID_ID"]);

                    if (!Convert.IsDBNull(dr["ZONA"]))
                        objUCFaturamento.ZONA = dr["ZONA"].ToString();

                    if (!Convert.IsDBNull(dr["LIVRO"]))
                        objUCFaturamento.LIVRO = dr["LIVRO"].ToString();

                    if (!Convert.IsDBNull(dr["CONTA"]))
                        objUCFaturamento.CONTA = dr["CONTA"].ToString();

                    if (!Convert.IsDBNull(dr["ROTA"]))
                        objUCFaturamento.ROTA = dr["ROTA"].ToString();

                    if (!Convert.IsDBNull(dr["MEDIDOR"]))
                        if (grupoUnida == "A")
                        { objUCFaturamento.ELETR = dr["MEDIDOR"].ToString(); }
                        else if (grupoUnida == "B")
                        { objUCFaturamento.NUM = dr["MEDIDOR"].ToString(); }
                        else { objUCFaturamento.NUM = dr["MEDIDOR"].ToString(); }


                    if (!Convert.IsDBNull(dr["CPF_CNPJ"]))
                        objUCFaturamento.CPF_CNPJ = dr["CPF_CNPJ"].ToString();

                    if (!Convert.IsDBNull(dr["RG"]))
                        objUCFaturamento.RG = dr["RG"].ToString();

                    if (!Convert.IsDBNull(dr["INSC"]))
                        objUCFaturamento.INSC = dr["INSC"].ToString();

                    if (!Convert.IsDBNull(dr["NOME"]))
                        objUCFaturamento.NOME = dr["NOME"].ToString();

                    if (!Convert.IsDBNull(dr["UF"]))
                        objUCFaturamento.UF = dr["UF"].ToString();

                    if (!Convert.IsDBNull(dr["CIDADE"]))
                        objUCFaturamento.CIDADE = dr["CIDADE"].ToString();

                    if (!Convert.IsDBNull(dr["DISTRITO"]))
                        objUCFaturamento.DISTRITO = dr["DISTRITO"].ToString();

                    if (!Convert.IsDBNull(dr["CEP"]))
                        objUCFaturamento.CEP = dr["CEP"].ToString();

                    if (!Convert.IsDBNull(dr["END"]))
                        objUCFaturamento.END = dr["END"].ToString();

                    if (!Convert.IsDBNull(dr["NUMERO"]))
                        objUCFaturamento.NUMERO = dr["NUMERO"].ToString();

                    if (!Convert.IsDBNull(dr["COMPLEMENT"]))
                        objUCFaturamento.COMPLEMENT = dr["COMPLEMENT"].ToString();

                    if (!Convert.IsDBNull(dr["QUADRA"]))
                        objUCFaturamento.QUADRA = dr["QUADRA"].ToString();

                    if (!Convert.IsDBNull(dr["LOTE"]))
                        objUCFaturamento.LOTE = dr["LOTE"].ToString();

                    if (!Convert.IsDBNull(dr["BAIRRO"]))
                        objUCFaturamento.BAIRRO = dr["BAIRRO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objUCFaturamento.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["BANCO"]))
                        objUCFaturamento.BANCO = dr["BANCO"].ToString();

                    if (!Convert.IsDBNull(dr["AGENC"]))
                        objUCFaturamento.AGENC = dr["AGENC"].ToString();

                    if (!Convert.IsDBNull(dr["CC"]))
                        objUCFaturamento.CC = dr["CC"].ToString();

                    if (!Convert.IsDBNull(dr["GRUPO"]))
                        objUCFaturamento.GRUPO = dr["GRUPO"].ToString();

                    if (!Convert.IsDBNull(dr["GRUPO_TAR"]))
                        objUCFaturamento.GRUPO_TAR = dr["GRUPO_TAR"].ToString();

                    if (!Convert.IsDBNull(dr["CONS_ID"]))
                        objUCFaturamento.CONS_ID = Convert.ToInt32(dr["CONS_ID"]);

                    if (!Convert.IsDBNull(dr["MICRO_GERACAO"]))
                        objUCFaturamento.MICRO_GERACAO = Convert.ToInt32(dr["MICRO_GERACAO"]);

                    if (!Convert.IsDBNull(dr["IRRIGACAO_AQUICULTURA"]))
                        objUCFaturamento.IRRIGACAO_AQUICULTURA = Convert.ToInt32(dr["IRRIGACAO_AQUICULTURA"]);

                    if (!Convert.IsDBNull(dr["MICROGERADOR_DISTRIBUIDO"]))
                        objUCFaturamento.MICROGERADOR_DISTRIBUIDO = dr["MICROGERADOR_DISTRIBUIDO"].ToString();

                    if (!Convert.IsDBNull(dr["RECEBE_MICROGERACAO"]))
                        objUCFaturamento.RECEBE_MICROGERACAO = dr["RECEBE_MICROGERACAO"].ToString();


                    lstUCFaturamento.Add(objUCFaturamento);
                }
                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_4(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_4(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_5(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_5(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_6(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_6(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_7(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_7(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_8(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_8(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_9(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_9(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_10(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_10(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_11(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();
            DataTable dt = null;
            int i = 0;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectOthersTables_11(objUCFaturamento);

                foreach (DataRow dr in dt.Rows)
                {

                    objUCFaturamento = new entidadeUCFaturamento();

                    i = i + 1;

                    objUCFaturamento.AGRUPA = i;

                    if (!Convert.IsDBNull(dr["ROTA"]))
                        objUCFaturamento.ROTA = dr["ROTA"].ToString();

                    lstUCFaturamento.Add(objUCFaturamento);
                }
                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_12(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_12(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_13(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;


            try
            {
                dalUCFaturamento = new dalUCFaturamento();

                dt = dalUCFaturamento.SelectOthersTables_13(objUCFaturamento);

                regranegocioGlobal = new regraNegocioGlobal();

                lstUCFaturamento = regraNegocioGlobal.ConvertDataTable<entidadeUCFaturamento>(dt);

                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_14(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();
            DataTable dt = null;
            int i = 0;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectOthersTables_14(objUCFaturamento);

                foreach (DataRow dr in dt.Rows)
                {

                    objUCFaturamento = new entidadeUCFaturamento();

                    i = i + 1;

                    objUCFaturamento.AGRUPA = i;

                    if (!Convert.IsDBNull(dr["CADERNO"]))
                        objUCFaturamento.CADERNO = Convert.ToInt32(dr["CADERNO"]);

                    lstUCFaturamento.Add(objUCFaturamento);
                }
                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectOthersTables_24(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstUCFaturamento = new List<entidadeUCFaturamento>();
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectOthersTables_24(objUCFaturamento);

                foreach (DataRow dr in dt.Rows)
                {
                    objUCFaturamento = new entidadeUCFaturamento();

                    if (!Convert.IsDBNull(dr["NOMEUC"]))
                        objUCFaturamento.NOME = dr["NOMEUC"].ToString();


                    if (!Convert.IsDBNull(dr["ENVIO_EMAIL_FATURA"]))
                        objUCFaturamento.ENVIO_EMAIL_FATURA = dr["ENVIO_EMAIL_FATURA"].ToString();

                    lstUCFaturamento.Add(objUCFaturamento);
                }
                return lstUCFaturamento;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectCount(objUCFaturamento);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeUCFaturamento> SelectMax(entidadeUCFaturamento objUCFaturamento)
        {
            dalUCFaturamento dalUCFaturamento = null;

            var lstucFat = new List<entidadeUCFaturamento>();
            DataTable dt = null;

            try
            {
                dalUCFaturamento = new dalUCFaturamento();
                dt = dalUCFaturamento.SelectMax(objUCFaturamento);

                foreach (DataRow dr in dt.Rows)
                {
                    objUCFaturamento = new entidadeUCFaturamento();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objUCFaturamento.ID = Convert.ToInt32(dr["ID"]);


                    lstucFat.Add(objUCFaturamento);
                }
                return lstucFat;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
